### Function

# GimpUi enum_icon_box_new

#### Declaration [src]

    GtkWidget*
    gimp_enum_icon_box_new (
      GType enum_type,
      const gchar* icon_prefix,
      GtkIconSize icon_size,
      GCallback callback,
      gpointer callback_data,
      GDestroyNotify callback_data_destroy,
      GtkWidget** first_button
    )

#### Description [src]

Creates a horizontal box of radio buttons with named icons. The icon name for each icon is created by appending the enum_value’s nick to the given `icon_prefix`.

Available since: | 2.10

#### Parameters

`enum_type` | `GType`
| The `GType` of an enum.
`icon_prefix` | `const gchar*`
| The prefix of the group of icon names to use.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`icon_size` | `GtkIconSize`
| The icon size for the icons.
`callback` | `GCallback`
| A callback to connect to the “toggled” signal of each `GtkRadioButton` that is created.
| The argument can be `NULL`.
`callback_data` | `gpointer`
| Data to pass to the `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback_data_destroy` | `GDestroyNotify`
| Destroy function for `callback_data`.
`first_button` | `GtkWidget`

               Returns the first button in the created group.

| The argument will be set by the function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkWidget`
| A new horizontal `GtkBox` holding a group of `GtkRadioButtons`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.